Ord
Keywords: com.fg.xmleditor.Ord interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.xmleditor
Interface Ord

public interface Ord

Ord interface declares sequienial constants which serve as inentifiers for different types of XML Schema nodes.

Version:
  1.0
Author:
  Felix Golubov

Field Summary
`static int` | `_ARRAY_ELEMENTS` _ARRAY_ELEMENTS = 0
`static int` | `_ARRAY_GROUPS` _ARRAY_GROUPS = 1
`static int` | `_ATTRIBUTE` _ATTRIBUTE = 11
`static int` | `_ELEMENT_COMPLEX` _ELEMENT_COMPLEX = 6
`static int` | `_ELEMENT_EMPTY` _ELEMENT_EMPTY = 9
`static int` | `_ELEMENT_EXT_EMPTY` _ELEMENT_EXT_EMPTY = 10
`static int` | `_ELEMENT_EXT_SIMPLE` _ELEMENT_EXT_SIMPLE = 8
`static int` | `_ELEMENT_SIMPLE` _ELEMENT_SIMPLE = 7
`static int` | `_GROUP_ALL` _GROUP_ALL = 4
`static int` | `_GROUP_CHOICE` _GROUP_CHOICE = 3
`static int` | `_GROUP_SEQUENCE` _GROUP_SEQUENCE = 2
`static int` | `_SUBSTITUTION` _SUBSTITUTION = 5
`static int` | `MAX_ORD` MAX_ORD = 11 Specifies maximum value of a node type constant

Field Detail

### MAX_ORD

    public static final int MAX_ORD

  MAX_ORD = 11 Specifies maximum value of a node type constant

  See Also:
    Constant Field Values

### _ARRAY_ELEMENTS

    public static final int _ARRAY_ELEMENTS

  _ARRAY_ELEMENTS = 0

  See Also:
    Constant Field Values

### _ARRAY_GROUPS

    public static final int _ARRAY_GROUPS

  _ARRAY_GROUPS = 1

  See Also:
    Constant Field Values

### _GROUP_SEQUENCE

    public static final int _GROUP_SEQUENCE

  _GROUP_SEQUENCE = 2

  See Also:
    Constant Field Values

### _GROUP_CHOICE

    public static final int _GROUP_CHOICE

  _GROUP_CHOICE = 3

  See Also:
    Constant Field Values

### _GROUP_ALL

    public static final int _GROUP_ALL

  _GROUP_ALL = 4

  See Also:
    Constant Field Values

### _SUBSTITUTION

    public static final int _SUBSTITUTION

  _SUBSTITUTION = 5

  See Also:
    Constant Field Values

### _ELEMENT_COMPLEX

    public static final int _ELEMENT_COMPLEX

  _ELEMENT_COMPLEX = 6

  See Also:
    Constant Field Values

### _ELEMENT_SIMPLE

    public static final int _ELEMENT_SIMPLE

  _ELEMENT_SIMPLE = 7

  See Also:
    Constant Field Values

### _ELEMENT_EXT_SIMPLE

    public static final int _ELEMENT_EXT_SIMPLE

  _ELEMENT_EXT_SIMPLE = 8

  See Also:
    Constant Field Values

### _ELEMENT_EMPTY

    public static final int _ELEMENT_EMPTY

  _ELEMENT_EMPTY = 9

  See Also:
    Constant Field Values

### _ELEMENT_EXT_EMPTY

    public static final int _ELEMENT_EXT_EMPTY

  _ELEMENT_EXT_EMPTY = 10

  See Also:
    Constant Field Values

### _ATTRIBUTE

    public static final int _ATTRIBUTE

  _ATTRIBUTE = 11

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD